const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    v7_4e = stack_var__2d_28 * *((edi_global_2d_to_2d_local - 92));
    if *((edi_global_2d_to_2d_local - 80)) != 0:;
        # 0x6b;
        st7_global_2d_to_2d_local = fabsl(v7_4e);
        fabs(tmp261);
        v0_78 = __asm_wait() # bp+78;
        v1_79 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+79;
        z.x_global_2d_to_2d_local = v0_78 & -0x10000 | v1_79 & -0xff01 | v1_79 / 2 & 0x7f00;
        v0_88 = edi_global_2d_to_2d_local;
        v1_85 = st7_global_2d_to_2d_local;
    else:;
        # 0x5a;
        v0_88 = edi_global_2d_to_2d_local;
        v1_85 = sqrtl(tmp261 * tmp261 + v7_4e * v7_4e);
    v7_85 = v1_85 - *((v0_88 - 16)) # bp+85;
    if *((v0_88 - 84)) != 0:;
        # 0x9c;
        st7_global_2d_to_2d_local = fabsl(v7_85);
        st6_global_2d_to_2d_local = fabs(v1_45);
        v0_a6 = __asm_wait();
        v1_a7 = __asm_fnstsw(fpsw_global_2d_to_2d_local);
        z.x_global_2d_to_2d_local = v0_a6 & -0x10000 | v1_a7 & -0xff01 | v1_a7 / 2 & 0x7f00;
        if v1_a7 & 256 == 0:;
            pass;
        else:;
            # 0xad;
            st6_global_2d_to_2d_local = st7_global_2d_to_2d_local;
    else:;
        # 0x8e;
        st6_global_2d_to_2d_local = sqrtl(v1_45 * v1_45 + v7_85 * v7_85);
    v7_b3 = st6_global_2d_to_2d_local - *((edi_global_2d_to_2d_local - 72));
    if *((edi_global_2d_to_2d_local - 76)) == 0:;
        # 0xbc;
        v1_bf = v7_b3 / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_bf = v7_b3;
    # 0xbf;
    *((esi_global_2d_to_2d_local - 32)) = v1_bf;
    v7_c8 = *((esi_global_2d_to_2d_local - 24)) * *((edi_global_2d_to_2d_local - 100));
    v4_cb = v7_c8 + *((edi_global_2d_to_2d_local - 108));
    fabsl(v4_cb);
    esi_global_2d_to_2d_local[128] = fabs(v4_cb);
    return z.x_global_2d_to_2d_local;


	}